@ECHO OFF
REM SMC Serial high speed mode driver for NT4.0J
REM uninstall batch
REM 97/02/05 o.imaizumi
if NOT %OS%==Windows_NT goto notNT
if NOT %PROCESSOR_ARCHITECTURE%==x86 goto notx86
set patch=shsnt4j1
rem if exist shsnt4u1.com set patch=shsnt4u1
if not exist %patch%.com goto baddir
pushd %windir%\system32\drivers
if not exist %windir%\system32\drivers\serial.sys goto noserial
if exist %windir%\system32\drivers\$erial.sys goto already
popd
copy %patch%.com %windir%\system32\drivers\%patch%.com
if errorlevel 1 goto copyfail
cd %windir%\system32\drivers
%SystemDrive%
%patch%.com
if not exist $erial.sys goto wspfail
if exist %patch%.com del %patch%.com
echo.
echo Successful.
echo.
goto finish

:notNT
echo Error - Not WindowsNT.
goto wrong

:notx86
echo Error - Not x86
goto wrong

:baddir
echo Error - missing %patch%.com. Check directory.
goto wrong

:copyfail
echo.
echo Error - Check security. etc.
goto wrong

:already
echo Error - backupfile '$erial.sys' is already exist.
echo.
dir %windir%\system32\drivers\$erial.sys | find /I "$erial.sys"
echo --remedy:
echo  run uinstshs.bat and try again.
echo  (if you want backup, copy serial.sys elsewhere.)
goto wrong

:noserial
echo Error - serial.sys missing.
echo --remedy:
echo   restore serial.sys from install media.
goto wrong

:wspfail
ver
echo - Check OS version(4.0)
echo.
chcp
echo - Check code page   (932)Japan
echo.
dir /-N %windir%\system32\drivers\serial.sys | find /I "serial"
echo - Check date and size   (50,864 96/10/29  00:00)
echo -   Or                  (50,864 96/10/29  12:00a)
goto wrong

:wrong
echo.
echo *ERROR* - Install *NOT* Successful.
echo.
:finish
pause
exit
